----------------------
-- VCR DISPLAY PAGE --
----------------------

local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/TPOD/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(mpcd_path.."TPOD_VIDEO_DSPLY.lua")
dofile(mpcd_path.."TPOD_COMMON_DATA.lua")
dofile(mpcd_path.."TPOD_RETICLES.lua")

-- PAGE MENU
local	mpcd_mm_btn_01				= CreateElement "ceStringPoly"
		mpcd_mm_btn_01.name			= "mpcd_mm_btn_01"
		mpcd_mm_btn_01.material		= mpcd_tpod_font
		mpcd_mm_btn_01.init_pos		= mpcd_btn_01_pos
		mpcd_mm_btn_01.alignment	= "CenterCenter"
		mpcd_mm_btn_01.value		= "V\nC\nR"
		mpcd_mm_btn_01.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_01)

local	mpcd_mm_btn_02				= CreateElement "ceStringPoly"
		mpcd_mm_btn_02.name			= "mpcd_mm_btn_02"
		mpcd_mm_btn_02.material		= mpcd_tpod_font
		mpcd_mm_btn_02.init_pos		= mpcd_btn_02_pos
		mpcd_mm_btn_02.alignment	= "CenterCenter"
		mpcd_mm_btn_02.value		= "D\nA\nT\nA"
		mpcd_mm_btn_02.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_02)

local	mpcd_mm_btn_05				= CreateElement "ceStringPoly"
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.material		= mpcd_tpod_font
		mpcd_mm_btn_05.init_pos		= mpcd_btn_05_pos
		mpcd_mm_btn_05.alignment	= "CenterCenter"
		mpcd_mm_btn_05.value		= "U\nN\nT\nD"
		mpcd_mm_btn_05.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_05)

local	mpcd_mm_btn_06				= CreateElement "ceStringPoly"
		mpcd_mm_btn_06.name			= "mpcd_mm_btn_06"
		mpcd_mm_btn_06.material		= mpcd_tpod_font
		mpcd_mm_btn_06.init_pos		= mpcd_btn_06_pos
		mpcd_mm_btn_06.alignment	= "CenterCenter"
		mpcd_mm_btn_06.formats		= {"%s"}
		mpcd_mm_btn_06.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_06.controllers	= {{"tpod_lsr_status"}}
Add_MPCD_Element(mpcd_mm_btn_06)

local	mpcd_mm_btn_07				= CreateElement "ceStringPoly"
		mpcd_mm_btn_07.name			= "mpcd_mm_btn_07"
		mpcd_mm_btn_07.material		= mpcd_tpod_font
		mpcd_mm_btn_07.init_pos		= mpcd_btn_07_pos
		mpcd_mm_btn_07.alignment	= "CenterCenter"
		mpcd_mm_btn_07.value		= "NGC"
		mpcd_mm_btn_07.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_07.controllers = {{"tpod_lsr_armed"}, {"tpod_lsr_rng_enabled"}}
Add_MPCD_Element(mpcd_mm_btn_07)

local	mpcd_mm_btn_08				= CreateElement "ceStringPoly"
		mpcd_mm_btn_08.name			= "mpcd_mm_btn_08"
		mpcd_mm_btn_08.material		= mpcd_tpod_font
		mpcd_mm_btn_08.init_pos		= mpcd_btn_08_pos
		mpcd_mm_btn_08.alignment	= "CenterCenter"
		mpcd_mm_btn_08.value		= "FIRE"
		mpcd_mm_btn_08.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_08.controllers = {{"tpod_lsr_armed"}}
Add_MPCD_Element(mpcd_mm_btn_08)

local	mpcd_mm_btn_09				= CreateElement "ceStringPoly"
		mpcd_mm_btn_09.name			= "mpcd_mm_btn_09"
		mpcd_mm_btn_09.material		= mpcd_tpod_font
		mpcd_mm_btn_09.init_pos		= mpcd_btn_09_pos
		mpcd_mm_btn_09.alignment	= "CenterCenter"
		mpcd_mm_btn_09.formats		= {"%s"}
		mpcd_mm_btn_09.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_09.controllers	= {{"tpod_lsr_mode"}}
Add_MPCD_Element(mpcd_mm_btn_09)

local	mpcd_mm_btn_10				= CreateElement "ceStringPoly"
		mpcd_mm_btn_10.name			= "mpcd_mm_btn_10"
		mpcd_mm_btn_10.material		= mpcd_tpod_font
		mpcd_mm_btn_10.init_pos		= mpcd_btn_10_pos
		mpcd_mm_btn_10.alignment	= "CenterCenter"
		mpcd_mm_btn_10.value		= "REJ"
		mpcd_mm_btn_10.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_10)

local	mpcd_mm_btn_11				= CreateElement "ceStringPoly"
		mpcd_mm_btn_11.name			= "mpcd_mm_btn_11"
		mpcd_mm_btn_11.material		= mpcd_tpod_font
		mpcd_mm_btn_11.init_pos		= mpcd_btn_11_pos
		mpcd_mm_btn_11.alignment	= "CenterCenter"
		mpcd_mm_btn_11.value		= "M\n\T\nR\nY"
		mpcd_mm_btn_11.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_11.controllers	= {{"TPOD_is_Operational"}}
Add_MPCD_Element(mpcd_mm_btn_11)

local	mpcd_mm_btn_12				= CreateElement "ceStringPoly"
		mpcd_mm_btn_12.name			= "mpcd_mm_btn_12"
		mpcd_mm_btn_12.material		= mpcd_tpod_font
		mpcd_mm_btn_12.init_pos		= mpcd_btn_12_pos
		mpcd_mm_btn_12.alignment	= "CenterCenter"
		mpcd_mm_btn_12.value		= "C\n\A\nL"
		mpcd_mm_btn_12.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_12.controllers	= {{"TPOD_is_Operational"}}
Add_MPCD_Element(mpcd_mm_btn_12)

local	mpcd_mm_btn_14				= CreateElement "ceStringPoly"
		mpcd_mm_btn_14.name			= "mpcd_mm_btn_14"
		mpcd_mm_btn_14.material		= mpcd_tpod_font
		mpcd_mm_btn_14.init_pos		= mpcd_btn_14_pos
		mpcd_mm_btn_14.alignment	= "CenterCenter"
		mpcd_mm_btn_14.value		= "G\nR\nA\nY"
		mpcd_mm_btn_14.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_14)

local	mpcd_mm_btn_15				= CreateElement "ceStringPoly"
		mpcd_mm_btn_15.name			= "mpcd_mm_btn_15"
		mpcd_mm_btn_15.material		= mpcd_tpod_font
		mpcd_mm_btn_15.init_pos		= mpcd_btn_15_pos
		mpcd_mm_btn_15.alignment	= "CenterCenter"
		mpcd_mm_btn_15.value		= "R\nE\nC"
		mpcd_mm_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

local	mpcd_mm_btn_16				= CreateElement "ceStringPoly"
		mpcd_mm_btn_16.name			= "mpcd_mm_btn_16"
		mpcd_mm_btn_16.material		= mpcd_tpod_font
		mpcd_mm_btn_16.init_pos		= mpcd_btn_16_pos
		mpcd_mm_btn_16.alignment	= "CenterCenter"
		mpcd_mm_btn_16.value		= "FF"
		mpcd_mm_btn_16.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_16)

local	mpcd_mm_btn_17				= CreateElement "ceStringPoly"
		mpcd_mm_btn_17.name			= "mpcd_mm_btn_17"
		mpcd_mm_btn_17.material		= mpcd_tpod_font
		mpcd_mm_btn_17.init_pos		= mpcd_btn_17_pos
		mpcd_mm_btn_17.alignment	= "CenterCenter"
		mpcd_mm_btn_17.value		= "PLAY"
		mpcd_mm_btn_17.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_17)

local	mpcd_mm_btn_19				= CreateElement "ceStringPoly"
		mpcd_mm_btn_19.name			= "mpcd_mm_btn_19"
		mpcd_mm_btn_19.material 	= mpcd_tpod_font
		mpcd_mm_btn_19.init_pos 	= mpcd_btn_19_pos
		mpcd_mm_btn_19.alignment	= "CenterCenter"
		mpcd_mm_btn_19.value		= "STOP"
		mpcd_mm_btn_19.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_19)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20"
		mpcd_mm_btn_20.material		= mpcd_tpod_font
		mpcd_mm_btn_20.init_pos		= mpcd_btn_20_pos
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "REW"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)

-- SELECTED OPTIONS
local	mpcd_btn_01_sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		mpcd_btn_01_sel.name		= "mpcd_btn_01_sel"
		mpcd_btn_01_sel.init_pos	= mpcd_btn_01_pos
Add_MPCD_Element(mpcd_btn_01_sel)

local	mpcd_btn_02_sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		mpcd_btn_02_sel.name		= "mpcd_btn_02_sel"
		mpcd_btn_02_sel.init_pos	= mpcd_btn_02_pos
Add_MPCD_Element(mpcd_btn_02_sel)

local	mpcd_btn_05_sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		mpcd_btn_05_sel.name		= "mpcd_btn_05_sel"
		mpcd_btn_05_sel.init_pos	= mpcd_btn_05_pos
		mpcd_btn_05_sel.controllers	= {{"TPOD_VCR_UNTRD"}}
Add_MPCD_Element(mpcd_btn_05_sel)

local	mpcd_btn_07_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_07_sel.name		= "mpcd_btn_07_sel"
		mpcd_btn_07_sel.init_pos	= mpcd_btn_07_pos
		mpcd_btn_07_sel.controllers	= {{"tpod_lsr_ranging"}}
Add_MPCD_Element(mpcd_btn_07_sel)

local	mpcd_btn_08_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_08_sel.name		= "mpcd_btn_08_sel"
		mpcd_btn_08_sel.init_pos	= mpcd_btn_08_pos
		mpcd_btn_08_sel.controllers	= {{"tpod_lsr_firing"}}
Add_MPCD_Element(mpcd_btn_08_sel)

local	mpcd_btn_10_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_10_sel.name		= "mpcd_btn_10_sel"
		mpcd_btn_10_sel.init_pos	= mpcd_btn_10_pos
		mpcd_btn_10_sel.controllers	= {{"TPOD_is_Operational"}, {"tpod_dsply_reject"}}
Add_MPCD_Element(mpcd_btn_10_sel)

local	mpcd_btn_11_sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		mpcd_btn_11_sel.name		= "mpcd_btn_11_sel"
		mpcd_btn_11_sel.init_pos	= mpcd_btn_11_pos
		mpcd_btn_11_sel.controllers	= {{"TPOD_VCR_mt_vd"}}
Add_MPCD_Element(mpcd_btn_11_sel)

local	mpcd_btn_14_sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		mpcd_btn_14_sel.name		= "mpcd_btn_14_sel"
		mpcd_btn_14_sel.init_pos	= mpcd_btn_14_pos
		mpcd_btn_14_sel.controllers	= {{"TPOD_VCR_GRAY"}}
Add_MPCD_Element(mpcd_btn_14_sel)

local	mpcd_btn_15_sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		mpcd_btn_15_sel.name		= "mpcd_btn_15_sel"
		mpcd_btn_15_sel.init_pos	= mpcd_btn_15_pos
		mpcd_btn_15_sel.controllers	= {{"TPOD_VCR_REC"}}
Add_MPCD_Element(mpcd_btn_15_sel)

local	mpcd_btn_16_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_16_sel.name		= "mpcd_btn_16_sel"
		mpcd_btn_16_sel.init_pos	= mpcd_btn_16_pos
		mpcd_btn_16_sel.controllers	= {{"TPOD_VCR_FF"}}
Add_MPCD_Element(mpcd_btn_16_sel)

local	mpcd_btn_17_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_17_sel.name		= "mpcd_btn_17_sel"
		mpcd_btn_17_sel.init_pos	= mpcd_btn_17_pos
		mpcd_btn_17_sel.controllers	= {{"TPOD_VCR_PLAY"}}
Add_MPCD_Element(mpcd_btn_17_sel)

local	mpcd_btn_20_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		mpcd_btn_20_sel.name		= "mpcd_btn_20_sel"
		mpcd_btn_20_sel.init_pos	= mpcd_btn_20_pos
		mpcd_btn_20_sel.controllers	= {{"TPOD_VCR_REW"}}
Add_MPCD_Element(mpcd_btn_20_sel)

